#In case of problems with the install you might contact me at
#zinser@decus.de (preferred) or zinser@sysdev.exchange.de

CCOPT =
CC=cc 
CFLAGS= $(CCOPT)

all : libgd.olb gd2copypal.exe gd2time.exe gd2topng.exe gddemo.exe gdtest.exe \
      gdtopng.exe pngtogd.exe pngtogd2.exe webpng.exe testac.exe \
      gdparttopng.exe gdtestft.exe annotate.exe fontwheeltest.exe \
      fontsizetest.exe

OBJS = gd.obj, gd_gd.obj, gd_gd2.obj, gd_io.obj, gd_io_dp.obj, gd_io_file.obj, \
        gd_ss.obj, gd_io_ss.obj, gd_png.obj, gd_jpeg.obj, gdxpm.obj, \
	gdfontt.obj, gdfonts.obj, gdfontmb.obj, gdfontl.obj, gdfontg.obj, \
	gdtables.obj, gdft.obj, gdcache.obj, gdkanji.obj,  wbmp.obj, \
	gd_wbmp.obj, gdhelpers.obj, gd_topal.obj

libgd.olb : libgd.olb($(OBJS))
       @ write sys$output " Libgd available "
       
gddemo.exe : gddemo.obj libgd.olb 
	$ link gddemo.obj,libgd.olb/lib,gd.opt/opt

testac.exe : testac.obj libgd.olb
        $ link testac.obj,libgd.olb/lib,gd.opt/opt
pngtogd.exe : pngtogd.obj libgd.olb 
	$link pngtogd.obj,libgd.olb/lib,gd.opt/opt

webpng.exe : webpng.obj libgd.olb 
	$link webpng.obj,libgd.olb/lib,gd.opt/opt

pngtogd2.exe : pngtogd2.obj libgd.olb 
	$link pngtogd2.obj,libgd.olb/lib,gd.opt/opt

gdtopng.exe : gdtopng.obj libgd.olb 
	$link gdtopng.obj,libgd.olb/lib,gd.opt/opt

gd2topng.exe : gd2topng.obj libgd.olb 
	$link gd2topng.obj,libgd.olb/lib,gd.opt/opt

gd2copypal.exe : gd2copypal.obj libgd.olb 
	$link gd2copypal.obj,libgd.olb/lib,gd.opt/opt

gdparttopng.exe : gdparttopng.obj libgd.olb 
	$link gdparttopng.obj,libgd.olb/lib,gd.opt/opt

gdtest.exe : gdtest.obj libgd.olb 
	$link gdtest.obj,libgd.olb/lib,gd.opt/opt

gd2time.exe : gd2time.obj libgd.olb 
	$link gd2time.obj,libgd.olb/lib,gd.opt/opt

gdtestft.exe : gdtestft.obj libgd.olb
        $link gdtestft.obj,libgd.olb/lib,gd.opt/opt

annotate.exe : annotate.obj libgd.olb
        $link annotate.obj,libgd.olb/lib,gd.opt/opt

fontwheeltest.exe : fontwheeltest.obj libgd.olb
        $link fontwheeltest.obj,libgd.olb/lib,gd.opt/opt

fontsizetest.exe : fontsizetest.obj libgd.olb
        $link fontsizetest.obj,libgd.olb/lib,gd.opt/opt
	 
clean :
        purge
	delete *.obj. 

